## kdialog 17.08.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)

project(KDialog)

# ECM setup
find_package(ECM 1.7.0 CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

# Build dependencies
find_package(KF5 REQUIRED COMPONENTS TextWidgets Notifications GuiAddons IconThemes WindowSystem KIO DBusAddons)
find_package(Qt5DBus CONFIG)

find_package(X11)
if(X11_FOUND)
   set(HAVE_X11 1)
endif()

add_definitions(-DQT_NO_URL_CAST_FROM_STRING)

add_subdirectory(src)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)

=== src/CMakeLists.txt ===
configure_file(config-kdialog.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kdialog.h)

set(kdialog_SRCS
    kdialog.cpp
    widgets.cpp
    utils.cpp
    klistboxdialog.cpp
)

add_executable(kdialog ${kdialog_SRCS})

target_link_libraries(kdialog
    KF5::KIOWidgets
    KF5::TextWidgets
    KF5::Notifications
    KF5::IconThemes
    KF5::GuiAddons
    KF5::WindowSystem
)

if(Qt5DBus_FOUND)
    target_link_libraries(kdialog Qt5::DBus)
endif()

if (HAVE_X11)
  target_link_libraries(kdialog ${X11_X11_LIB})
endif()

install(TARGETS kdialog ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES org.kde.kdialog.ProgressDialog.xml DESTINATION ${KDE_INSTALL_DBUSINTERFACEDIR})

################################################################################

set(kdialog_progress_helper_SRCS
    kdialog_progress_helper.cpp
    utils.cpp
    progressdialog.cpp
)

qt5_add_dbus_adaptor(kdialog_progress_helper_SRCS org.kde.kdialog.ProgressDialog.xml progressdialog.h ProgressDialog)

add_executable(kdialog_progress_helper ${kdialog_progress_helper_SRCS})

target_link_libraries(kdialog_progress_helper
    KF5::DBusAddons
    KF5::I18n
    Qt5::Widgets
)

if (HAVE_X11)
  target_link_libraries(kdialog_progress_helper ${X11_X11_LIB})
endif()

install(TARGETS kdialog_progress_helper ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

## kdialog 16.12.3

=== debian/changelog ===
kdialog (16.12.3-0ubuntu1) zesty; urgency=medium

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * Remove old KDE/Qt 4 build dependencies.
  * New upstream release (16.12.3)

  [ Rik Mills ]
  * Update copyright after split from kde-baseapps

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 06 Apr 2017 15:18:43 +0100

kdialog (16.12.1-0ubuntu1) zesty; urgency=medium

  [ Simon Quigley ]
  * Initial split from kde-baseapps.

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * New upstream release (16.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Jan 2017 16:13:02 +0000

=== debian/control ===
Source: kdialog
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               kded5-dev (>= 5.31.0~),
               libglib2.0-dev (>= 2.0~),
               libkf5activities-dev (>= 5.31.0~),
               libkf5archive-dev (>= 5.31.0~),
               libkf5baloowidgets-dev (>= 4:16.12.3~),
               libkf5kdelibs4support-dev (>= 5.31.0~),
               libqt5x11extras5-dev (>= 5.6.1~),
               libsoprano-dev,
               libtidy-dev,
               libx11-dev,
               libxkbfile-dev,
               libxrender-dev,
               libxt-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~),
               zlib1g-dev
Standards-Version: 3.9.8
Homepage: http://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdialog
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdialog

Package: kdialog
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Dialog display utility
 KDialog allows you to display dialog boxes from shell scripts.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_auto_configure:
	$(overridden_command) -- -DKDE4_BUILD_TESTS=false -DBUILD_plasma=false

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

override_dh_strip:
	$(overridden_command) --ddeb-migration='kdialog-dbg (<= 4:15.12.1-1~~)'

## kdialog 17.04.3

=== debian/changelog ===
kdialog (17.04.3-0ubuntu1) artful; urgency=low

  * New upstream release (17.04.1)
  * debian/rules: port to frameworks
  * Add Replaces/Conflicts against kde-baseapps-bin
  * Install translations and add Breaks/Replaces against kde-l10n
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 18 Aug 2017 08:28:19 +0100

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                libglib2.0-dev (>= 2.0~),
                libkf5activities-dev (>= 5.31.0~),
                libkf5archive-dev (>= 5.31.0~),
-               libkf5baloowidgets-dev (>= 4:16.12.3~),
+               libkf5baloowidgets-dev (>= 4:17.04.3~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
                libqt5x11extras5-dev (>= 5.6.1~),
                libsoprano-dev,
@@ -37,5 +37,8 @@
 Section: utils
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Replaces: kde-baseapps-bin, ${kde-l10n:all}
+Conflicts: kde-baseapps-bin
+Breaks: ${kde-l10n:all}
 Description: Dialog display utility
  KDialog allows you to display dialog boxes from shell scripts.

## kdialog 17.08.3

=== debian/changelog ===
kdialog (4:17.08.3-2+rb2) UNRELEASED; urgency=medium

  * update

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 22 Jan 2021 11:32:50 +0800

kdialog (4:17.08.3-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Update the kde-baseapps-bin breaks/replaces, for the removal of kdialog
    in src:kde-baseapps.
  * Bump Standards-Version to 4.1.3, no changes required.
  * Adjust l10npkgs_firstversion_ok to the version where kde-l10n will
    drop translations.

 -- Pino Toscano <pino@debian.org>  Thu, 28 Dec 2017 13:15:16 +0100

kdialog (4:17.08.3-1) experimental; urgency=medium

  * Team upload.

  [ Maximiliano Curia ]
  * New upstream release (17.08.1)
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Update build-deps and deps with the info from cmake
  * Update uploaders list as requested by MIA team

  [ Pino Toscano ]
  * New upstream release.
  * Simplify watch file, and switch it to https.
  * Bump Standards-Version to 4.1.2, no changes required.
  * Remove unused libkf5kdelibs4support-dev build dependency.
  * Update copyright.
  * Remove trailing whitespaces in changelog.

 -- Pino Toscano <pino@debian.org>  Sun, 17 Dec 2017 21:08:35 +0100

kdialog (4:17.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Sep 2017 13:59:49 +0000

kdialog (4:17.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Aug 2017 09:35:11 +0000

kdialog (4:17.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Jul 2017 10:21:00 +0000

kdialog (4:17.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2017 12:21:26 +0000

kdialog (4:17.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 May 2017 18:17:07 +0000

kdialog (4:17.04.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2017 13:03:58 +0000

kdialog (4:16.12.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Mar 2017 13:47:58 +0000

kdialog (4:16.12.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Feb 2017 16:58:00 +0000

kdialog (4:16.12.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Jan 2017 13:18:03 +0000

kdialog (4:16.12.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 15 Dec 2016 19:57:33 +0000

kdialog (4:16.11.90-0neon) xenial; urgency=medium

  * Initial release.

 -- Raymond Wooninck <tittiatcoke@gmail.com>  Mon, 07 Nov 2016 18:50:18 +0100

=== debian/control ===
Source: kdialog
Section: utils
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.7.0~),
               libkf5dbusaddons-dev,
               libkf5guiaddons-dev,
               libkf5iconthemes-dev,
               libkf5kio-dev,
               libkf5notifications-dev,
               libkf5textwidgets-dev,
               libkf5windowsystem-dev,
               libx11-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev,
Standards-Version: 4.1.3
Homepage: http://www.kde.org/
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kdialog.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kdialog.git

Package: kdialog
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: kde-baseapps-bin (<< 4:16.08.3-2~),
          ${kde-l10n:all}
Breaks: kde-baseapps-bin (<< 4:16.08.3-2~),
        ${kde-l10n:all}
Description: Dialog display utility
 KDialog allows you to display dialog boxes from shell scripts.

=== debian/tests/control ===
Tests: testsuite
Depends: build-essential,
         dbus,
         qtbase5-dev,
         xauth,
         xvfb,
         @,
         @builddeps@
Restrictions: rw-build-tree

## kdialog 17.12.3

=== debian/changelog ===
kdialog (17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:26:26 +0000

kdialog (17.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 22 Feb 2018 16:57:22 +0000

kdialog (17.08.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:05:08 +0000

=== debian/control ===
Source: kdialog
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               kded5-dev (>= 5.31.0~),
               libglib2.0-dev (>= 2.0~),
               libkf5activities-dev (>= 5.31.0~),
               libkf5archive-dev (>= 5.31.0~),
               libkf5baloowidgets-dev (>= 4:17.12.3~),
               libkf5kdelibs4support-dev (>= 5.31.0~),
               libqt5x11extras5-dev (>= 5.6.1~),
               libsoprano-dev,
               libtidy-dev,
               libx11-dev,
               libxkbfile-dev,
               libxrender-dev,
               libxt-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~),
               zlib1g-dev
Standards-Version: 3.9.8
Homepage: http://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdialog
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdialog

Package: kdialog
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: kde-baseapps-bin, ${kde-l10n:all}
Conflicts: kde-baseapps-bin
Breaks: ${kde-l10n:all}
Description: Dialog display utility
 KDialog allows you to display dialog boxes from shell scripts.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:17.03.90-0~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

override_dh_strip:
	$(overridden_command) --ddeb-migration='kdialog-dbg (<= 4:15.12.1-1~~)'

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/kdialog-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/kdialog-([\d.]+).tar.xz

## kdialog 18.04.3

=== debian/changelog ===
kdialog (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 Aug 2018 09:16:54 +0100

kdialog (4:17.12.3-0ubuntu2) cosmic; urgency=medium

  * Sync most changes from debian 17.08.3-2. Remaining changes:
    - debian/rules: Breaks/replaces via l10npkgs_firstversion_ok to suit
      Ubuntu versions
    - debian/control: Breaks/replaces on kde-baseapps-bin
    - debian/control: Kubuntu VCS fields
    - debian/tests/*: Keep Ubuntu test setup

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 02 Jun 2018 07:19:34 +0100

## kdialog 18.12.3

=== debian/changelog ===
kdialog (4:18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Mar 2019 13:28:11 +0000

kdialog (4:18.12.2-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 17 Feb 2019 13:15:31 +0000

kdialog (4:18.12.1-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 10 Jan 2019 14:10:23 +0000

kdialog (4:18.12.0-0ubuntu1) disco; urgency=medium

  * New upstream beta release (18.11.80)
  * New upstream release (18.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 05 Jan 2019 16:48:51 +0000

kdialog (4:18.08.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 10 Dec 2018 16:49:29 +0000

=== debian/control ===
Source: kdialog
Section: utils
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.7.0~),
               libkf5dbusaddons-dev,
               libkf5guiaddons-dev,
               libkf5iconthemes-dev,
               libkf5kio-dev,
               libkf5notifications-dev,
               libkf5textwidgets-dev,
               libkf5windowsystem-dev,
               libx11-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev,
Standards-Version: 4.1.3
Homepage: http://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdialog
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdialog

Package: kdialog
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: kde-baseapps-bin, ${kde-l10n:all}
Conflicts: kde-baseapps-bin
Breaks: ${kde-l10n:all}
Description: Dialog display utility
 KDialog allows you to display dialog boxes from shell scripts.

## kdialog 19.04.3

=== debian/changelog ===
kdialog (4:19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 11 Jul 2019 14:13:49 +0100

kdialog (4:19.04.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 08 Jun 2019 15:04:58 +0100

kdialog (4:19.04.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.1)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 12 May 2019 20:57:39 +0100

kdialog (4:19.04.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Apr 2019 20:43:07 +0100

## kdialog 19.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

# KDE Application Version, managed by release script
set(KDE_APPLICATIONS_VERSION_MAJOR "19")
set(KDE_APPLICATIONS_VERSION_MINOR "12")
set(KDE_APPLICATIONS_VERSION_MICRO "3")
set(KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")

project(KDialog VERSION ${KDE_APPLICATIONS_VERSION})
set(KF5_MIN_VERSION "5.62.0")

# ECM setup
find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(ECMSetupVersion)

# Build dependencies
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS TextWidgets Notifications GuiAddons IconThemes WindowSystem KIO DBusAddons)
find_package(Qt5DBus CONFIG)
if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x060000)
endif()

find_package(X11)
if(X11_FOUND)
   set(HAVE_X11 1)
endif()

add_subdirectory(src)
install(FILES org.kde.kdialog.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)

=== debian/changelog ===
kdialog (4:19.12.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Mar 2020 16:08:56 +0000

kdialog (4:19.12.2-1ubuntu1) focal; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - Replaces/Conflicts kde-baseapps-bin, for bionic upgrades.

 -- Rik Mills <rikmills@kde.org>  Wed, 04 Mar 2020 08:57:32 +0000

kdialog (4:19.12.2-1) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * Switch debian/watch to new KDE release service URL.
  * New upstream release (19.12.2).
  * Switch to debhelper-compat build dependency, bump compatibility level to
    12.
  * Switch from dhmk to the dh sequencer with the kf5 addon.
  * Drop kde-l10n migration rules, no needed anymore after 2 stable releases.
  * Add hardening=+all build hardening flag.
  * Reactivate build-time tests.
  * Remove autopkgtests, they don’t test the installed package.
  * Bump Standards-Version to 4.5.0:
    - Add Rules-Requires-Root: no.
  * Move Vcs-* URLs to Salsa.
  * Refresh copyright information.
  * Disable lintian warning for missing manpages.
  * Borrow minimal upstream signing key from k3b.
  * Update upstream project website homepage URL.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 03 Mar 2020 21:55:13 +0100

kdialog (4:19.12.2-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.2)
  * Update watch file to the new release-service location.

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2020 15:19:35 +0000

kdialog (4:19.12.1-0ubuntu2) focal; urgency=medium

  * Drop testsuite.

 -- Rik Mills <rikmills@kde.org>  Sat, 01 Feb 2020 09:00:47 +0000

kdialog (4:19.12.1-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2020 14:53:39 +0000

kdialog (4:19.12.0-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2019 10:47:17 +0000

kdialog (4:19.08.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.08.0)
  * New upstream release (19.08.1)
  * New upstream release (19.08.2)
  * New upstream release (19.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2019 13:31:58 +0000

=== debian/control ===
Source: kdialog
Section: utils
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 3.0~),
               debhelper-compat (= 12),
               extra-cmake-modules (>= 5.62.0~),
               libkf5dbusaddons-dev (>= 5.62.0~),
               libkf5guiaddons-dev (>= 5.62.0~),
               libkf5iconthemes-dev (>= 5.62.0~),
               libkf5kio-dev (>= 5.62.0~),
               libkf5notifications-dev (>= 5.62.0~),
               libkf5textwidgets-dev (>= 5.62.0~),
               libkf5windowsystem-dev (>= 5.62.0~),
               libx11-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev,
Standards-Version: 4.5.0
Homepage: https://kde.org/applications/utilities/org.kde.kdialog
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdialog
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdialog
Rules-Requires-Root: no

Package: kdialog
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: kde-baseapps-bin
Conflicts: kde-baseapps-bin
Description: Dialog display utility
 kdialog allows you to display dialog boxes from shell scripts. The syntax is
 very much inspired from the "dialog" command (which shows text mode dialogs).

## kdialog 20.08.2

=== debian/changelog ===
kdialog (4:20.08.2-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Oct 2020 18:39:42 +0100

kdialog (4:20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 13:52:50 +0100

kdialog (4:20.08.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Add the configuration for the CI on salsa.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13
  * Stop specifying the as-needed linking mode, as it is the binutils default.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Sat, 15 Aug 2020 09:06:12 +0200

kdialog (4:20.04.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Sun, 26 Apr 2020 12:30:13 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
            Eshat Cakar <info@eshat.de>,
            Maximiliano Curia <maxy@debian.org>,
 Build-Depends: cmake (>= 3.0~),
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                extra-cmake-modules (>= 5.62.0~),
                libkf5dbusaddons-dev (>= 5.62.0~),
                libkf5guiaddons-dev (>= 5.62.0~),
@@ -23,15 +23,13 @@
                qtbase5-dev,
 Standards-Version: 4.5.0
 Homepage: https://kde.org/applications/utilities/org.kde.kdialog
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdialog
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdialog
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdialog
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdialog.git
 Rules-Requires-Root: no
 
 Package: kdialog
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Replaces: kde-baseapps-bin
-Conflicts: kde-baseapps-bin
 Description: Dialog display utility
  kdialog allows you to display dialog boxes from shell scripts. The syntax is
  very much inspired from the "dialog" command (which shows text mode dialogs).

## kdialog 20.12.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

# KDE Application Version, managed by release script
set(RELEASE_SERVICE_VERSION_MAJOR "20")
set(RELEASE_SERVICE_VERSION_MINOR "12")
set(RELEASE_SERVICE_VERSION_MICRO "0")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(KDialog VERSION ${RELEASE_SERVICE_VERSION})
set(KF5_MIN_VERSION "5.62.0")

# ECM setup
find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(ECMSetupVersion)

# Build dependencies
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS TextWidgets Notifications GuiAddons IconThemes WindowSystem KIO DBusAddons)
find_package(Qt5DBus CONFIG)


find_package(X11)
if(X11_FOUND)
   set(HAVE_X11 1)
endif()

add_subdirectory(src)
install(FILES org.kde.kdialog.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,5 @@
+ecm_setup_version(${RELEASE_SERVICE_VERSION} VARIABLE_PREFIX KDIALOG VERSION_HEADER kdialog_version.h)
+
 configure_file(config-kdialog.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kdialog.h)
 
 set(kdialog_SRCS

=== debian/changelog ===
kdialog (4:20.12.0-1) unstable; urgency=medium

  * New upstream release (20.12.0).
  * Refresh copyright information.
  * Bump Standards-Version to 4.5.1, no change required.
  * Refresh upstream metadata.
  * Update project homepage.
  * Removed Eshat Cakar, George Kiagiadakis, Maximiliano Curia, Modestas
    Vainius from the uploaders, thanks for your work on the package!
  * Added myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 29 Dec 2020 10:32:51 +0100

kdialog (4:20.08.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (20.08.2).
  * Refresh upstream metadata.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 27 Oct 2020 23:18:33 +0100

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,8 @@
 Section: utils
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Sune Vuorela <sune@debian.org>,
-           Modestas Vainius <modax@debian.org>,
-           George Kiagiadakis <kiagiadakis.george@gmail.com>,
-           Eshat Cakar <info@eshat.de>,
-           Maximiliano Curia <maxy@debian.org>,
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+           Sune Vuorela <sune@debian.org>,
 Build-Depends: cmake (>= 3.0~),
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.62.0~),
@@ -21,8 +18,8 @@
                pkg-config,
                pkg-kde-tools (>= 0.12),
                qtbase5-dev,
-Standards-Version: 4.5.0
-Homepage: https://kde.org/applications/utilities/org.kde.kdialog
+Standards-Version: 4.5.1
+Homepage: https://apps.kde.org/en/kdialog
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdialog
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdialog.git
 Rules-Requires-Root: no

## kdialog 20.12.3

=== debian/changelog ===
kdialog (4:20.12.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Mar 2021 15:19:16 +0000

kdialog (4:20.12.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Feb 2021 09:53:29 +0000

kdialog (4:20.12.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 20 Jan 2021 23:09:57 +0000

## kdialog 21.08.0

=== debian/changelog ===
kdialog (4:21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 16:10:50 +0900

kdialog (4:21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Borrow minimal upstream signing key from k3b.
  * Drop Kubuntu from maintainer name.
  * Added myself to the uploaders.

 -- Norbert Preining <norbert@preining.info>  Tue, 27 Apr 2021 12:02:39 +0900

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: kdialog
 Section: utils
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+           Norbert Preining <norbert@preining.info>,
            Sune Vuorela <sune@debian.org>,
 Build-Depends: cmake (>= 3.0~),
                debhelper-compat (= 13),

## kdialog 21.08.1

=== debian/changelog ===
kdialog (4:21.08.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.1)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 22:33:05 +0100

kdialog (4:21.08.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 09:01:38 +0100

kdialog (4:21.07.90-0ubuntu1) impish; urgency=medium

  * New upstream (RC) release (21.07.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Aug 2021 12:54:46 +0100

kdialog (4:21.07.80-0ubuntu1) impish; urgency=medium

  * New upstream (beta) release (21.07.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 18 Jul 2021 20:33:16 +0100

kdialog (4:21.04.3-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jul 2021 11:42:40 +0100

kdialog (4:21.04.2-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 10:39:15 +0100

kdialog (4:21.04.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 May 2021 09:05:49 +0100

kdialog (4:21.04.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Apr 2021 01:34:39 +0100

## kdialog 21.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

# KDE Application Version, managed by release script
set(RELEASE_SERVICE_VERSION_MAJOR "21")
set(RELEASE_SERVICE_VERSION_MINOR "12")
set(RELEASE_SERVICE_VERSION_MICRO "3")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(KDialog VERSION ${RELEASE_SERVICE_VERSION})

set(QT_MIN_VERSION "5.15.0")
set(KF5_MIN_VERSION "5.85.0")

# ECM setup
find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMSetupVersion)
include(FeatureSummary)

# Build dependencies
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS TextWidgets Notifications GuiAddons IconThemes WindowSystem KIO DBusAddons)
find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS DBus)


find_package(X11)
if(X11_FOUND)
   set(HAVE_X11 1)
endif()

add_definitions(
    -DQT_DISABLE_DEPRECATED_BEFORE=0x050F00
    -DQT_DEPRECATED_WARNINGS_SINCE=0x060000
    -DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055500
    -DKNOTIFICATIONS_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054E00 # KPassivePopup
    -DKF_DEPRECATED_WARNINGS_SINCE=0x060000
)

add_subdirectory(src)
install(FILES org.kde.kdialog.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
ki18n_install(po)
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,15 +1,18 @@
-ecm_setup_version(${RELEASE_SERVICE_VERSION} VARIABLE_PREFIX KDIALOG VERSION_HEADER kdialog_version.h)
+ecm_setup_version(${RELEASE_SERVICE_VERSION}
+    VARIABLE_PREFIX KDIALOG
+    VERSION_HEADER kdialog_version.h
+)
 
 configure_file(config-kdialog.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kdialog.h)
 
-set(kdialog_SRCS
+add_executable(kdialog)
+
+target_sources(kdialog PRIVATE
     kdialog.cpp
     widgets.cpp
     utils.cpp
     klistboxdialog.cpp
 )
-
-add_executable(kdialog ${kdialog_SRCS})
 
 target_link_libraries(kdialog
     KF5::KIOWidgets
@@ -33,15 +36,18 @@
 
 ################################################################################
 
-set(kdialog_progress_helper_SRCS
+add_executable(kdialog_progress_helper)
+
+qt5_add_dbus_adaptor(progressdialog_dbus_adaptor_SRCS
+    org.kde.kdialog.ProgressDialog.xml progressdialog.h ProgressDialog
+)
+
+target_sources(kdialog_progress_helper PRIVATE
+    ${progressdialog_dbus_adaptor_SRCS}
     kdialog_progress_helper.cpp
     utils.cpp
     progressdialog.cpp
 )
-
-qt5_add_dbus_adaptor(kdialog_progress_helper_SRCS org.kde.kdialog.ProgressDialog.xml progressdialog.h ProgressDialog)
-
-add_executable(kdialog_progress_helper ${kdialog_progress_helper_SRCS})
 
 target_link_libraries(kdialog_progress_helper
     KF5::DBusAddons
@@ -54,4 +60,3 @@
 endif()
 
 install(TARGETS kdialog_progress_helper ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})
-

=== debian/changelog ===
kdialog (4:21.12.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Mar 2022 10:10:05 +0000

kdialog (4:21.12.2-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

  [ Rik Mills ]
  * New upstream release (21.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Feb 2022 07:16:39 +0000

kdialog (4:21.12.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 10:24:31 +0000

kdialog (4:21.12.0-0ubuntu1) jammy; urgency=medium

  [ Rik Mills ]
  * New upstream release (21.12.0)
  * Set maintainer to Kubuntu Developers.

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Dec 2021 11:21:38 +0000

kdialog (4:21.11.90-0ubuntu2) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 19:05:40 +0000

kdialog (4:21.11.90-0ubuntu1) jammy; urgency=medium

  * New upstream (RC) release (21.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Nov 2021 13:16:51 +0000

kdialog (4:21.11.80-0ubuntu1) jammy; urgency=medium

  * New upstream (beta) release (21.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Nov 2021 18:25:37 +0000

kdialog (4:21.08.3-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (21.08.2)

  [ Rik Mills ]
  * New upstream release (21.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Nov 2021 09:39:28 +0000

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: kdialog
 Section: utils
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-           Norbert Preining <norbert@preining.info>,
            Sune Vuorela <sune@debian.org>,
 Build-Depends: cmake (>= 3.0~),
                debhelper-compat (= 13),
@@ -21,8 +21,8 @@
                qtbase5-dev,
 Standards-Version: 4.5.1
 Homepage: https://apps.kde.org/en/kdialog
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdialog
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdialog.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdialog
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdialog
 Rules-Requires-Root: no
 
 Package: kdialog

## kdialog 22.08.1

=== debian/changelog ===
kdialog (4:22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:39:32 +0100

kdialog (4:22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:49:24 +0100

kdialog (4:22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:26:58 +0100

kdialog (4:22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 08:01:01 +0100

kdialog (4:22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 20:58:52 +0100

kdialog (4:22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:47:28 +0100

## kdialog 22.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,15 +1,15 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Application Version, managed by release script
-set(RELEASE_SERVICE_VERSION_MAJOR "21")
+set(RELEASE_SERVICE_VERSION_MAJOR "22")
 set(RELEASE_SERVICE_VERSION_MINOR "12")
 set(RELEASE_SERVICE_VERSION_MICRO "3")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(KDialog VERSION ${RELEASE_SERVICE_VERSION})
 
-set(QT_MIN_VERSION "5.15.0")
-set(KF5_MIN_VERSION "5.85.0")
+set(QT_MIN_VERSION "5.15.2")
+set(KF5_MIN_VERSION "5.90.0")
 
 # ECM setup
 find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
@@ -24,12 +24,12 @@
 
 # Build dependencies
 find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS TextWidgets Notifications GuiAddons IconThemes WindowSystem KIO DBusAddons)
-find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS DBus)
+find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS DBus)
 
-
-find_package(X11)
-if(X11_FOUND)
-   set(HAVE_X11 1)
+option(WITHOUT_X11 "Build without X11 integration (skips finding X11)" OFF)
+if (NOT WITHOUT_X11)
+    find_package(X11)
+    set(HAVE_X11 ${X11_FOUND})
 endif()
 
 add_definitions(

=== src/CMakeLists.txt ===
ecm_setup_version(${RELEASE_SERVICE_VERSION}
    VARIABLE_PREFIX KDIALOG
    VERSION_HEADER kdialog_version.h
)

configure_file(config-kdialog.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kdialog.h)

add_executable(kdialog)

target_sources(kdialog PRIVATE
    kdialog.cpp
    klistboxdialog.cpp
    klistboxdialog.h
    widgets.cpp
    widgets.h
    utils.cpp
    utils.h
)

target_link_libraries(kdialog
    KF5::KIOWidgets
    KF5::TextWidgets
    KF5::Notifications
    KF5::IconThemes
    KF5::GuiAddons
    KF5::WindowSystem
)

target_link_libraries(kdialog Qt::DBus)

if (HAVE_X11)
  target_link_libraries(kdialog ${X11_X11_LIB})
endif()

install(TARGETS kdialog ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES org.kde.kdialog.ProgressDialog.xml DESTINATION ${KDE_INSTALL_DBUSINTERFACEDIR})

################################################################################

add_executable(kdialog_progress_helper)

qt_add_dbus_adaptor(progressdialog_dbus_adaptor_SRCS
    org.kde.kdialog.ProgressDialog.xml progressdialog.h ProgressDialog
)

target_sources(kdialog_progress_helper PRIVATE
    ${progressdialog_dbus_adaptor_SRCS}
    kdialog_progress_helper.cpp
    utils.cpp
    utils.h
    progressdialog.cpp
    progressdialog.h
)

target_link_libraries(kdialog_progress_helper
    KF5::DBusAddons
    KF5::I18n
    Qt::Widgets
)

if (HAVE_X11)
  target_link_libraries(kdialog_progress_helper ${X11_X11_LIB})
endif()

install(TARGETS kdialog_progress_helper ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
kdialog (4:22.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 11:57:51 +0100

kdialog (4:22.12.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Re-export upstream signing key without extra signatures.
  * Remove inactive Uploaders.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically, removing pkg-kde-tools
    - drop all the manually specified addons and buildsystem for dh

 -- Pino Toscano <pino@debian.org>  Sun, 05 Feb 2023 08:53:52 +0100

kdialog (4:22.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.1).
  * Bump Standards-Version to 4.6.2, no change required.
  * Add Albert Astals Cid’s master key to upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Jan 2023 23:05:44 +0100

kdialog (4:22.12.0-2) unstable; urgency=medium

  * Upload with a correctly released changelog.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 16:04:39 +0100

kdialog (4:22.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.08.3).
  * Bump Standards-Version to 4.6.1, no change required.
  * New upstream release (22.11.90).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (22.12.0).
  * Refresh lintian overrides.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 00:12:55 +0100

kdialog (4:21.12.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update standards version to 4.6.0, no changes needed.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.16
    - bump Qt packages to 5.15.0
    - bump KF packages to 5.85.0

 -- Pino Toscano <pino@debian.org>  Sat, 05 Mar 2022 15:27:41 +0100

=== debian/control ===
Source: kdialog
Section: utils
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               extra-cmake-modules (>= 5.90.0~),
               libkf5dbusaddons-dev (>= 5.90.0~),
               libkf5guiaddons-dev (>= 5.90.0~),
               libkf5iconthemes-dev (>= 5.90.0~),
               libkf5kio-dev (>= 5.90.0~),
               libkf5notifications-dev (>= 5.90.0~),
               libkf5textwidgets-dev (>= 5.90.0~),
               libkf5windowsystem-dev (>= 5.90.0~),
               libx11-dev,
               pkg-config,
               qtbase5-dev (>= 5.15.2~),
Standards-Version: 4.6.2
Homepage: https://apps.kde.org/en/kdialog
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdialog
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdialog.git
Rules-Requires-Root: no

Package: kdialog
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Dialog display utility
 kdialog allows you to display dialog boxes from shell scripts. The syntax is
 very much inspired from the "dialog" command (which shows text mode dialogs).

## kdialog 23.08.0

=== debian/changelog ===
kdialog (4:23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 12:53:40 +0100

kdialog (4:23.07.90-0ubuntu1) mantic; urgency=medium

  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:33:30 +0100

kdialog (4:23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:46:18 +0100

kdialog (4:23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 11:56:36 +0100

kdialog (4:22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:37:39 +0000

kdialog (4:22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:16:08 -0600

kdialog (4:22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jan 2023 11:14:29 +0000

kdialog (4:22.12.0-2ubuntu1) lunar; urgency=medium

  * Kubuntu Vcs and maintainer fields.
    - Kubuntu Vcs and maintainer fields.
    - Update upstream signing key.

 -- Rik Mills <rikmills@kde.org>  Wed, 28 Dec 2022 10:37:15 +0000

kdialog (4:22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:08:46 +0000

kdialog (4:22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:05:06 +0000

kdialog (4:22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Nov 2022 10:50:06 +0000

kdialog (4:22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.2)
  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:08:33 +0000

## kdialog 23.08.1

=== debian/changelog ===
kdialog (4:23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 11:58:46 +0100

## kdialog 23.08.4

=== debian/changelog ===
kdialog (4:23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:14:55 +0000

kdialog (4:23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:34:28 +0000

kdialog (4:23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:30:45 +0100
